Index: orxonox/trunk/src/lib/particles/particle_emitter.cc
===================================================================
--- orxonox/trunk/src/lib/particles/particle_emitter.cc	(revision 4638)
+++ orxonox/trunk/src/lib/particles/particle_emitter.cc	(revision 4639)
@@ -42,4 +42,6 @@
   this->setEmissionRate(emissionRate);
   this->setEmissionVelocity(velocity);
+
+  ParticleEngine::getInstance()->addEmitter(this);
 }
 
@@ -129,11 +131,25 @@
 {
   if (!strcmp(type, "plane"))
-    this->type = EMITTER_PLANE;
+    this->setType(EMITTER_PLANE);
   else if (!strcmp(type, "cube"))
-    this->type = EMITTER_CUBE;
+    this->setType(EMITTER_CUBE);
   else if (!strcmp(type, "sphere"))
-    this->type = EMITTER_SPHERE;
-  else
-    this->type = EMITTER_DOT;
+    this->setType(EMITTER_SPHERE);
+  else
+    this->setType(EMITTER_DOT);
+}
+
+const char* ParticleEmitter::getTypeC(void) const
+{
+  if (this->type == EMITTER_PLANE)
+    return "EMITTER_PLANE";
+  else if (this->type == EMITTER_CUBE)
+    return "EMITTER_CUBE";
+  else if (this->type == EMITTER_SPHERE)
+    return "EMITTER_SPHERE";
+  else
+    return "EMITTER_DOT";
+
+
 }
 
@@ -262,6 +278,8 @@
    \brief outputs some nice debug information
 */
-void ParticleEmitter::debug(void)
+void ParticleEmitter::debug(void) const
 {
   PRINT(0)(" Emitter %s\n", this->getName());
-}
+  PRINT(0)("  EmissionRate: %f, Speed: %f, SpreadAngle: %f\n", this->getEmissionRate(), this->getEmissionVelocity(), this->getSpread());
+  PRINT(0)("  Size %f, Type: %s\n", this->getSize(), this->getTypeC());
+}
Index: orxonox/trunk/src/lib/particles/particle_emitter.h
===================================================================
--- orxonox/trunk/src/lib/particles/particle_emitter.h	(revision 4638)
+++ orxonox/trunk/src/lib/particles/particle_emitter.h	(revision 4639)
@@ -49,4 +49,6 @@
   /** \returns the type of the emitter */
   inline EMITTER_TYPE getType(void) const { return this->type; };
+  /** \returns the Type as a const char * */
+  const char* getTypeC(void) const;
   /** \returns the Size of the emitter */
   inline float getSize(void) const { return this->emitterSize; };
@@ -56,9 +58,9 @@
   inline float getInheritSpeed(void) const { return this->inheritSpeed; };
   /** \returns the SpreadAngle of the emitter */
-  inline float getSpread(void) { return this->angle; };
+  inline float getSpread(void) const { return this->angle; };
   /** \returns the EmissionVelocity of the emitter */
-  inline float getEmissionVelocity(void) { return this->velocity; };
+  inline float getEmissionVelocity(void) const { return this->velocity; };
 
-  void debug(void);
+  void debug(void) const;
 
 
Index: orxonox/trunk/src/lib/particles/particle_engine.cc
===================================================================
--- orxonox/trunk/src/lib/particles/particle_engine.cc	(revision 4638)
+++ orxonox/trunk/src/lib/particles/particle_engine.cc	(revision 4639)
@@ -357,30 +357,51 @@
   PRINT(0)(" Reference: %p\n", ParticleEngine::singletonRef);
   PRINT(0)(" Count: Emitters: %d; Systems: %d, Connections: %d\n",
-            this->emitterList->getSize(), this->systemList->getSize(), this->connectionList->getSize());
+  this->emitterList->getSize(), this->systemList->getSize(), this->connectionList->getSize());
+
   if (this->connectionList->getSize() > 0)
-    {
-      PRINT(0)(" Connections:\n");
-      PRINT(0)(" -----------------------------------\n");
-
-      tIterator<ParticleConnection>* tmpConIt = connectionList->getIterator();
-      ParticleConnection* tmpConnection = tmpConIt->nextElement();
-      while(tmpConnection)
-        {
-          PRINT(0)(" Emitter '%s' emitts into System '%s'\n", tmpConnection->emitter->getName(), tmpConnection->system->getName());
-          tmpConnection = tmpConIt->nextElement();
-        }
-      delete tmpConIt;
-    }
+  {
+    PRINT(0)(" Connections:\n");
+    PRINT(0)(" -----------------------------------\n");
+
+    tIterator<ParticleConnection>* tmpConIt = connectionList->getIterator();
+    ParticleConnection* tmpConnection = tmpConIt->nextElement();
+    while(tmpConnection)
+    {
+      PRINT(0)(" Emitter '%s' emitts into System '%s'\n", tmpConnection->emitter->getName(), tmpConnection->system->getName());
+      tmpConnection = tmpConIt->nextElement();
+    }
+    delete tmpConIt;
+  }
+
   if (this->systemList->getSize() > 0)
-    {
-      tIterator<ParticleSystem>* tmpIt = systemList->getIterator();
-      ParticleSystem* tmpSys = tmpIt->nextElement();
-      while(tmpSys)
-        {
-          tmpSys->debug();
-          tmpSys = tmpIt->nextElement();
-        }
-      delete tmpIt;
-    }
+  {
+    tIterator<ParticleSystem>* tmpIt = systemList->getIterator();
+    ParticleSystem* tmpSys = tmpIt->nextElement();
+    while(tmpSys)
+    {
+      tmpSys->debug();
+      tmpSys = tmpIt->nextElement();
+    }
+    delete tmpIt;
+  }
+  else
+  {
+    PRINT(0)("NO SYSTEMS\n");
+  }
+  if (this->emitterList->getSize() > 0)
+  {
+    tIterator<ParticleEmitter>* tmpIt = emitterList->getIterator();
+    ParticleEmitter* tmpEmit = tmpIt->nextElement();
+    while(tmpEmit)
+    {
+      tmpEmit->debug();
+      tmpEmit = tmpIt->nextElement();
+    }
+    delete tmpIt;
+  }
+  else
+  {
+    PRINTF(0)("NO EMITTERS\n");
+  }
 
   PRINT(0)("+--------------------------------PE-+\n");
Index: orxonox/trunk/src/subprojects/importer/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4638)
+++ orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4639)
@@ -205,21 +205,21 @@
 importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
                  $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
-		 $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
+                 $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
 
 importer_SOURCES = ../framework.cc \
-		  importer.cc \
-		  $(MAINSRCDIR)/lib/graphics/light.cc \
-		  $(MAINSRCDIR)/util/state.cc \
-		  $(MAINSRCDIR)/world_entities/camera.cc \
-		  $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
-		  $(MAINSRCDIR)/lib/lang/base_object.cc \
-		  $(MAINSRCDIR)/lib/math/vector.cc \
-		  $(MAINSRCDIR)/util/resource_manager.cc \
-		  $(MAINSRCDIR)/lib/util/ini_parser.cc \
-		  $(MAINSRCDIR)/lib/graphics/text_engine.cc \
-		  $(MAINSRCDIR)/lib/coord/p_node.cc \
-		  $(MAINSRCDIR)/lib/coord/null_parent.cc \
-		  $(MAINSRCDIR)/util/loading/load_param.cc \
-		  $(MAINSRCDIR)/lib/util/substring.cc
+                  importer.cc \
+                  $(MAINSRCDIR)/lib/graphics/light.cc \
+                  $(MAINSRCDIR)/util/state.cc \
+                  $(MAINSRCDIR)/world_entities/camera.cc \
+                  $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
+                  $(MAINSRCDIR)/lib/lang/base_object.cc \
+                  $(MAINSRCDIR)/lib/math/vector.cc \
+                  $(MAINSRCDIR)/util/resource_manager.cc \
+                  $(MAINSRCDIR)/lib/util/ini_parser.cc \
+                  $(MAINSRCDIR)/lib/graphics/text_engine.cc \
+                  $(MAINSRCDIR)/lib/coord/p_node.cc \
+                  $(MAINSRCDIR)/lib/coord/null_parent.cc \
+                  $(MAINSRCDIR)/util/loading/load_param.cc \
+                  $(MAINSRCDIR)/lib/util/substring.cc
 
 all: all-am
Index: orxonox/trunk/src/subprojects/particles/particle_fun.cc
===================================================================
--- orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4638)
+++ orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4639)
@@ -49,4 +49,5 @@
 
   // Creating a Test Particle System
+
   ParticleSystem* system = new ParticleSystem(100000, PINIT_PARTICLE_TYPE);
   system->setRadius(0, PINIT_START_RADIUS, 0 );
@@ -55,5 +56,5 @@
 
   system->setConserve(PINIT_CONSERVE_FACTOR);
-  system->setMass(5,3,6);
+  //system->setMass(5,3,6);
 
   // Creating a Test Particle Emitter