Index: /orxonox/trunk/configure.ac
===================================================================
--- /orxonox/trunk/configure.ac	(revision 4642)
+++ /orxonox/trunk/configure.ac	(revision 4643)
@@ -596,6 +596,5 @@
                  src/lib/gui/Makefile
                  src/lib/tinyxml/Makefile
-                 src/lib/newmat/Makefile
-                 src/subprojects/Makefile
+                 src/lib/newmat/Makefile src/subprojects/Makefile
                  src/subprojects/testmain/Makefile
                  src/subprojects/importer/Makefile
Index: /orxonox/trunk/orxonox.kdevelop
===================================================================
--- /orxonox/trunk/orxonox.kdevelop	(revision 4642)
+++ /orxonox/trunk/orxonox.kdevelop	(revision 4643)
@@ -12,8 +12,9 @@
     <description/>
     <secondaryLanguages/>
+    <versioncontrol/>
   </general>
   <kdevautoproject>
     <general>
-      <activetarget>src/orxonox</activetarget>
+      <activetarget>src/subprojects/particles/particles</activetarget>
       <useconfiguration>default</useconfiguration>
     </general>
@@ -149,4 +150,12 @@
       <headerCompletionDelay>250</headerCompletionDelay>
     </codecompletion>
+    <creategettersetter>
+      <prefixGet/>
+      <prefixSet>set</prefixSet>
+      <prefixVariable>m_,_</prefixVariable>
+      <parameterName>theValue</parameterName>
+      <inlineGet>true</inlineGet>
+      <inlineSet>true</inlineSet>
+    </creategettersetter>
   </kdevcppsupport>
   <kdevfileview>
@@ -173,3 +182,7 @@
     </projectdoc>
   </kdevdocumentation>
+  <ctagspart>
+    <customArguments/>
+    <customTagfilePath/>
+  </ctagspart>
 </kdevelop>
Index: /orxonox/trunk/src/Makefile.am
===================================================================
--- /orxonox/trunk/src/Makefile.am	(revision 4642)
+++ /orxonox/trunk/src/Makefile.am	(revision 4643)
@@ -15,6 +15,5 @@
                        lib/particles/libORXparticles.a \
                        lib/collision_detection/libORXcd.a \
-                       lib/tinyxml/libtinyxml.a \
-                       lib/newmat/libnewmat.a
+                       lib/tinyxml/libtinyxml.a
 
 orxonox_LDADD = lib/gui/libORXgui.a \
@@ -26,5 +25,4 @@
                 lib/collision_detection/libORXcd.a \
                 lib/tinyxml/libtinyxml.a \
-                lib/newmat/libnewmat.a \
                 $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 4642)
+++ /orxonox/trunk/src/Makefile.in	(revision 4643)
@@ -241,6 +241,5 @@
                        lib/particles/libORXparticles.a \
                        lib/collision_detection/libORXcd.a \
-                       lib/tinyxml/libtinyxml.a \
-                       lib/newmat/libnewmat.a
+                       lib/tinyxml/libtinyxml.a
 
 orxonox_LDADD = lib/gui/libORXgui.a \
@@ -252,5 +251,4 @@
                 lib/collision_detection/libORXcd.a \
                 lib/tinyxml/libtinyxml.a \
-                lib/newmat/libnewmat.a \
                 $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
Index: /orxonox/trunk/src/lib/Makefile.am
===================================================================
--- /orxonox/trunk/src/lib/Makefile.am	(revision 4642)
+++ /orxonox/trunk/src/lib/Makefile.am	(revision 4643)
@@ -9,5 +9,4 @@
           collision_detection \
           tinyxml \
-          newmat \
           gui \
           $(GTK_PROGS)
Index: /orxonox/trunk/src/lib/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/Makefile.in	(revision 4642)
+++ /orxonox/trunk/src/lib/Makefile.in	(revision 4643)
@@ -174,5 +174,4 @@
           collision_detection \
           tinyxml \
-          newmat \
           gui \
           $(GTK_PROGS)
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4642)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4643)
@@ -25,15 +25,5 @@
 #include <math.h>
 
-
-#define WANT_STREAM
-#define WANT_MATH
-#define WANT_FSTREAM
-
 #include "stdincl.h"
-
-#include "include.h"
-#include "newmat.h"
-#include "newmatap.h"
-#include "newmatio.h"
 
 #include "lin_alg.h"