Index: /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4646)
+++ /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4647)
@@ -69,4 +69,131 @@
   depth = 2;
 
+  moduleHelp();
+}
+
+
+void Framework::moduleEventHandler(SDL_Event* event)
+{
+  switch (event->type)
+  {
+    case SDL_KEYDOWN:
+      switch (event->key.keysym.sym)
+      {
+        case SDLK_a:
+          drawMode |= DRAW_ALL;
+          break;
+        case SDLK_0:
+        {
+          printf("Setting tree depth = 0\n");
+          depth = 0;
+          int temp = drawMode & DRAW_ALL;
+          drawMode ^= temp;
+          drawMode |= DRAW_SINGLE;
+          break;
+        }
+        case SDLK_1:
+        {
+          printf("Setting tree depth = 1\n");
+          depth = 1;
+          int temp = drawMode & DRAW_ALL;
+          drawMode ^= temp;
+          drawMode |= DRAW_SINGLE;
+          break;
+        }
+        case SDLK_2:
+        {
+          printf("Setting tree depth = 2\n");
+          depth = 2;
+          int temp = drawMode & DRAW_ALL;
+          drawMode ^= temp;
+          drawMode |= DRAW_SINGLE;
+          break;
+        }
+        case SDLK_3:
+        {
+          printf("Setting tree depth = 3\n");
+          depth = 3;
+          int temp = drawMode & DRAW_ALL;
+          drawMode ^= temp;
+          drawMode |= DRAW_SINGLE;
+          break;
+        }
+        case SDLK_4:
+        {
+          printf("Setting tree depth = 4\n");
+          depth = 4;
+          int temp = drawMode & DRAW_ALL;
+          drawMode ^= temp;
+          drawMode |= DRAW_SINGLE;
+          break;
+        }
+        case SDLK_5:
+        {
+          printf("Setting tree depth = 5\n");
+          depth = 5;
+          int temp = drawMode & DRAW_ALL;
+          drawMode ^= temp;
+          drawMode |= DRAW_SINGLE;
+          break;
+        }
+        case SDLK_6:
+        {
+          printf("Setting tree depth = 6\n");
+          depth = 6;
+          int temp = drawMode & DRAW_ALL;
+          drawMode ^= temp;
+          drawMode |= DRAW_SINGLE;
+          break;
+        }
+        case SDLK_s:
+          if(drawMode & DRAW_SEPARATING_PLANE)
+          {
+            int temp = drawMode & DRAW_SEPARATING_PLANE;
+            drawMode ^= temp;
+            printf("Removing Separation Plane\n");
+          }
+          else
+          {
+            drawMode |= DRAW_SEPARATING_PLANE;
+            printf("Drawing Separation Plane\n");
+          }
+
+          break;
+        case SDLK_p:
+          if(drawMode & DRAW_BV_POLYGON)
+          {
+            int temp = drawMode & DRAW_BV_POLYGON;
+            drawMode ^= temp;
+            printf("Removing OBB Polygons\n");
+          }
+          else
+          {
+            drawMode |= DRAW_BV_POLYGON;
+            printf("Drawing OBB Polygons\n");
+          }
+          break;
+
+      }
+  }
+}
+
+
+void Framework::moduleTick(float dt)
+{
+}
+
+
+void Framework::moduleDraw() const
+{
+  CDEngine::getInstance()->drawBV(depth, drawMode);
+
+  LightManager::getInstance()->draw();
+
+  //model->draw();
+}
+
+
+void Framework::moduleHelp(void) const
+{
   printf("\n\n===========================");
   printf("Collision Detection Modler:\n");
@@ -82,133 +209,5 @@
   printf(" -| Tree Depth 5\t\t 5\n");
   printf("===========================\n\n");
-}
-
-
-void Framework::moduleEventHandler(SDL_Event* event)
-{
-  switch (event->type)
-  {
-    case SDL_KEYDOWN:
-      switch (event->key.keysym.sym)
-      {
-        case SDLK_a:
-          drawMode |= DRAW_ALL;
-          break;
-        case SDLK_0:
-        {
-          printf("Setting tree depth = 0\n");
-          depth = 0;
-          int temp = drawMode & DRAW_ALL;
-          drawMode ^= temp;
-          drawMode |= DRAW_SINGLE;
-          break;
-        }
-        case SDLK_1:
-        {
-          printf("Setting tree depth = 1\n");
-          depth = 1;
-          int temp = drawMode & DRAW_ALL;
-          drawMode ^= temp;
-          drawMode |= DRAW_SINGLE;
-          break;
-        }
-        case SDLK_2:
-        {
-          printf("Setting tree depth = 2\n");
-          depth = 2;
-          int temp = drawMode & DRAW_ALL;
-          drawMode ^= temp;
-          drawMode |= DRAW_SINGLE;
-          break;
-        }
-        case SDLK_3:
-        {
-          printf("Setting tree depth = 3\n");
-          depth = 3;
-          int temp = drawMode & DRAW_ALL;
-          drawMode ^= temp;
-          drawMode |= DRAW_SINGLE;
-          break;
-        }
-        case SDLK_4:
-        {
-          printf("Setting tree depth = 4\n");
-          depth = 4;
-          int temp = drawMode & DRAW_ALL;
-          drawMode ^= temp;
-          drawMode |= DRAW_SINGLE;
-          break;
-        }
-        case SDLK_5:
-        {
-          printf("Setting tree depth = 5\n");
-          depth = 5;
-          int temp = drawMode & DRAW_ALL;
-          drawMode ^= temp;
-          drawMode |= DRAW_SINGLE;
-          break;
-        }
-        case SDLK_6:
-        {
-          printf("Setting tree depth = 6\n");
-          depth = 6;
-          int temp = drawMode & DRAW_ALL;
-          drawMode ^= temp;
-          drawMode |= DRAW_SINGLE;
-          break;
-        }
-        case SDLK_s:
-          if(drawMode & DRAW_SEPARATING_PLANE)
-          {
-            int temp = drawMode & DRAW_SEPARATING_PLANE;
-            drawMode ^= temp;
-            printf("Removing Separation Plane\n");
-          }
-          else
-          {
-            drawMode |= DRAW_SEPARATING_PLANE;
-            printf("Drawing Separation Plane\n");
-          }
-
-          break;
-        case SDLK_p:
-          if(drawMode & DRAW_BV_POLYGON)
-          {
-            int temp = drawMode & DRAW_BV_POLYGON;
-            drawMode ^= temp;
-            printf("Removing OBB Polygons\n");
-          }
-          else
-          {
-            drawMode |= DRAW_BV_POLYGON;
-            printf("Drawing OBB Polygons\n");
-          }
-          break;
-
-      }
-  }
-}
-
-
-void Framework::moduleTick(float dt)
-{
-}
-
-
-void Framework::moduleDraw() const
-{
-  CDEngine::getInstance()->drawBV(depth, drawMode);
-
-  LightManager::getInstance()->draw();
-
-  //model->draw();
-}
-
-
-void Framework::moduleHelp(void) const
-{
-  PRINT(0)("\n");
-  PRINT(0)("i - print debug information of Collision-detection\n");
-  PRINT(0)("\n");
+
 }
 
Index: /orxonox/trunk/src/subprojects/framework.cc
===================================================================
--- /orxonox/trunk/src/subprojects/framework.cc	(revision 4646)
+++ /orxonox/trunk/src/subprojects/framework.cc	(revision 4647)
@@ -184,5 +184,5 @@
             this->printHelp();
             break;
-          case SDLK_l:
+          case SDLK_c:
             for (int i = 0; i < 3; i++)
               {
@@ -193,5 +193,5 @@
               }
             break;
-          case SDLK_1:
+          case SDLK_x:
             for (int i = 0; i < 3; i++)
               {
@@ -283,6 +283,6 @@
   PRINT(0)("z - zoom out\n");
   PRINT(0)("r - reset camera position\n");
-  PRINT(0)("1 - background color darker\n");
-  PRINT(0)("2 - background color brighter\n");
+  PRINT(0)("x - background color darker\n");
+  PRINT(0)("c - background color brighter\n");
 
 