Index: orxonox/trunk/src/Makefile.am
===================================================================
--- orxonox/trunk/src/Makefile.am	(revision 4648)
+++ orxonox/trunk/src/Makefile.am	(revision 4649)
@@ -151,7 +151,5 @@
 endif
 
-SUBDIRS = lib \
-          . \
-          $(SUB_PROGS)
+SUBDIRS = lib . $(SUB_PROGS) subprojects
 
 
Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4648)
+++ orxonox/trunk/src/Makefile.in	(revision 4649)
@@ -370,8 +370,5 @@
 @SUB_PROJECTS_FALSE@SUB_PROGS = 
 @SUB_PROJECTS_TRUE@SUB_PROGS = subprojects
-SUBDIRS = lib \
-          . \
-          $(SUB_PROGS)
-
+SUBDIRS = lib . $(SUB_PROGS) subprojects
 all: all-recursive
 
Index: orxonox/trunk/src/lib/particles/particle_system.cc
===================================================================
--- orxonox/trunk/src/lib/particles/particle_system.cc	(revision 4648)
+++ orxonox/trunk/src/lib/particles/particle_system.cc	(revision 4649)
@@ -194,6 +194,6 @@
 void ParticleSystem::setRadius(float lifeCycleTime, float radius, float randRadius)
 {
-  this->radiusAnim.addEntry(lifeCycleTime, radius);
-  this->randRadiusAnim.addEntry(lifeCycleTime, randRadius);
+  this->radiusAnim.changeEntry(lifeCycleTime, radius);
+  this->randRadiusAnim.changeEntry(lifeCycleTime, randRadius);
 }
 
@@ -206,6 +206,6 @@
 void ParticleSystem::setMass(float lifeCycleTime, float mass, float randMass)
 {
-  this->massAnim.addEntry(lifeCycleTime, mass);
-  this->randMassAnim.addEntry(lifeCycleTime, randMass);
+  this->massAnim.changeEntry(lifeCycleTime, mass);
+  this->randMassAnim.changeEntry(lifeCycleTime, randMass);
 }
 
@@ -220,8 +220,8 @@
 void ParticleSystem::setColor(float lifeCycleTime, GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
 {
-  this->colorAnim[0].addEntry(lifeCycleTime, red);
-  this->colorAnim[1].addEntry(lifeCycleTime, green);
-  this->colorAnim[2].addEntry(lifeCycleTime, blue);
-  this->colorAnim[3].addEntry(lifeCycleTime, alpha);
+  this->colorAnim[0].changeEntry(lifeCycleTime, red);
+  this->colorAnim[1].changeEntry(lifeCycleTime, green);
+  this->colorAnim[2].changeEntry(lifeCycleTime, blue);
+  this->colorAnim[3].changeEntry(lifeCycleTime, alpha);
 }
 
Index: orxonox/trunk/src/lib/particles/quick_animation.cc
===================================================================
--- orxonox/trunk/src/lib/particles/quick_animation.cc	(revision 4648)
+++ orxonox/trunk/src/lib/particles/quick_animation.cc	(revision 4649)
@@ -36,5 +36,4 @@
    this->first = this->current = NULL;
 }
-
 
 /**
@@ -115,5 +114,6 @@
     }
   this->current = this->first;
-  return false;
+
+  this->addEntry(position, value);
 }
 
Index: orxonox/trunk/src/subprojects/importer/importer.cc
===================================================================
--- orxonox/trunk/src/subprojects/importer/importer.cc	(revision 4648)
+++ orxonox/trunk/src/subprojects/importer/importer.cc	(revision 4649)
@@ -24,4 +24,5 @@
 #include <stdlib.h>
 
+#include "resource_manager.h"
 
 Model* obj;
@@ -29,4 +30,6 @@
 void Framework::moduleInit(int argc, char** argv)
 {
+  ResourceManager::getInstance()->addImageDir("./");
+
   if (argc>=3)
     obj = new OBJModel (argv[1], atof(argv[2]));
Index: orxonox/trunk/src/subprojects/particles/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4648)
+++ orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4649)
@@ -33,2 +33,4 @@
                    $(MAINSRCDIR)/util/loading/load_param.cc \
                    $(MAINSRCDIR)/lib/util/ini_parser.cc
+applnkApplication_DATA = particles.desktop
+applnkApplicationdir = $(kde_appsdir)/Application
Index: orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4648)
+++ orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4649)
@@ -14,4 +14,5 @@
 
 @SET_MAKE@
+
 
 SOURCES = $(particles_SOURCES)
@@ -48,5 +49,5 @@
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
-am__installdirs = "$(DESTDIR)$(bindir)"
+am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(applnkApplicationdir)"
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
@@ -98,4 +99,6 @@
 SOURCES = $(particles_SOURCES)
 DIST_SOURCES = $(particles_SOURCES)
+applnkApplicationDATA_INSTALL = $(INSTALL_DATA)
+DATA = $(applnkApplication_DATA)
 ETAGS = etags
 CTAGS = ctags
@@ -239,4 +242,6 @@
                    $(MAINSRCDIR)/lib/util/ini_parser.cc
 
+applnkApplication_DATA = particles.desktop
+applnkApplicationdir = $(kde_appsdir)/Application
 all: all-am
 
@@ -611,4 +616,21 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-ini_parser.obj `if test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/ini_parser.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/ini_parser.cc'; fi`
 uninstall-info-am:
+install-applnkApplicationDATA: $(applnkApplication_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(applnkApplicationdir)" || $(mkdir_p) "$(DESTDIR)$(applnkApplicationdir)"
+	@list='$(applnkApplication_DATA)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  f="`echo $$p | sed -e 's|^.*/||'`"; \
+	  echo " $(applnkApplicationDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(applnkApplicationdir)/$$f'"; \
+	  $(applnkApplicationDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(applnkApplicationdir)/$$f"; \
+	done
+
+uninstall-applnkApplicationDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(applnkApplication_DATA)'; for p in $$list; do \
+	  f="`echo $$p | sed -e 's|^.*/||'`"; \
+	  echo " rm -f '$(DESTDIR)$(applnkApplicationdir)/$$f'"; \
+	  rm -f "$(DESTDIR)$(applnkApplicationdir)/$$f"; \
+	done
 
 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
@@ -689,7 +711,7 @@
 check-am: all-am
 check: check-am
-all-am: Makefile $(PROGRAMS)
+all-am: Makefile $(PROGRAMS) $(DATA)
 installdirs:
-	for dir in "$(DESTDIR)$(bindir)"; do \
+	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(applnkApplicationdir)"; do \
 	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
 	done
@@ -738,5 +760,5 @@
 info-am:
 
-install-data-am:
+install-data-am: install-applnkApplicationDATA
 
 install-exec-am: install-binPROGRAMS
@@ -765,16 +787,19 @@
 ps-am:
 
-uninstall-am: uninstall-binPROGRAMS uninstall-info-am
+uninstall-am: uninstall-applnkApplicationDATA uninstall-binPROGRAMS \
+	uninstall-info-am
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
 	clean-generic ctags distclean distclean-compile \
 	distclean-generic distclean-tags distdir dvi dvi-am html \
-	html-am info info-am install install-am install-binPROGRAMS \
-	install-data install-data-am install-exec install-exec-am \
-	install-info install-info-am install-man install-strip \
-	installcheck installcheck-am installdirs maintainer-clean \
+	html-am info info-am install install-am \
+	install-applnkApplicationDATA install-binPROGRAMS install-data \
+	install-data-am install-exec install-exec-am install-info \
+	install-info-am install-man install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-compile \
 	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
-	uninstall-am uninstall-binPROGRAMS uninstall-info-am
+	uninstall-am uninstall-applnkApplicationDATA \
+	uninstall-binPROGRAMS uninstall-info-am
 
 include $(MAINSRCDIR)/defs/include_paths.am
Index: orxonox/trunk/src/subprojects/particles/particle_fun.cc
===================================================================
--- orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4648)
+++ orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4649)
@@ -22,4 +22,5 @@
 #include "fields.h"
 #include "stdlibincl.h"
+#include "graphics_engine.h"
 
 #define PINIT_EMISSION_RATE          50
@@ -43,4 +44,6 @@
 void Framework::moduleInit(int argc, char** argv)
 {
+  GraphicsEngine::getInstance()->setWindowName("ParticlesFun", "particles");
+
   verbose = 5;
   ParticleEngine::getInstance();