Index: orxonox/trunk/src/subprojects/framework.cc
===================================================================
--- orxonox/trunk/src/subprojects/framework.cc	(revision 4649)
+++ orxonox/trunk/src/subprojects/framework.cc	(revision 4650)
@@ -25,7 +25,48 @@
 #include "resource_manager.h"
 #include "camera.h"
+#include "ini_parser.h"
 
 
 int verbose;
+
+void Framework::init(void)
+{
+  // create parser
+  IniParser parser (DEFAULT_CONFIG_FILE);
+  if( parser.getSection (CONFIG_SECTION_DATA) == -1)
+  {
+    PRINTF(1)("Could not find Section %s in %s\n", CONFIG_SECTION_DATA, DEFAULT_CONFIG_FILE);
+  }
+  char namebuf[256];
+  char valuebuf[256];
+  memset (namebuf, 0, 256);
+  memset (valuebuf, 0, 256);
+
+  while( parser.nextVar (namebuf, valuebuf) != -1)
+  {
+    if (!strcmp(namebuf, CONFIG_NAME_DATADIR))
+    {
+          //  printf("Not yet implemented\n");
+      if (!ResourceManager::getInstance()->setDataDir(valuebuf))
+      {
+        PRINTF(1)("Data Could not be located\n");
+      }
+    }
+
+    memset (namebuf, 0, 256);
+    memset (valuebuf, 0, 256);
+  }
+
+  if (!ResourceManager::getInstance()->checkDataDir(DEFAULT_DATA_DIR_CHECKFILE))
+  {
+    PRINTF(1)("The DataDirectory %s could not be verified\nPlease Change in File %s Section %s Entry %s to a suitable value\n",
+    ResourceManager::getInstance()->getDataDir(),
+    DEFAULT_CONFIG_FILE,
+    CONFIG_SECTION_DATA,
+    CONFIG_NAME_DATADIR);
+    exit(-1);
+  }
+}
+
 
 void* Framework::mainLoop(void* tmp)
@@ -238,4 +279,6 @@
 Framework::Framework()
 {
+  this->init();
+
   this->isFinished = false;
 
@@ -256,6 +299,4 @@
   for (int i = 0; i < 4; i++)
     backgroundColor[i] = 0;
-
-  ResourceManager::getInstance()->setDataDir(DATA_DIRECTORY);
 
   camera = new Camera();
Index: orxonox/trunk/src/subprojects/framework.h
===================================================================
--- orxonox/trunk/src/subprojects/framework.h	(revision 4649)
+++ orxonox/trunk/src/subprojects/framework.h	(revision 4650)
@@ -11,6 +11,5 @@
 #endif
 
-#define DATA_DIRECTORY "~/orxonox/repos/trunk/data/"
-#define MOUSE_BUTTON_COUNT 8
+#define MOUSE_BUTTON_COUNT 3
 
 class Camera;
@@ -52,5 +51,5 @@
 
 
-
+  void init(void);
   static void* mainLoop(void* tmp);
   bool draw(float dt);
Index: orxonox/trunk/src/subprojects/particles/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4649)
+++ orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4650)
@@ -8,4 +8,5 @@
                   $(MAINSRCDIR)/lib/event/libORXevent.a \
                   $(MAINSRCDIR)/lib/particles/libORXparticles.a \
+                  $(MAINSRCDIR)/lib/sound/libORXsound.a \
                   $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
                   $(MAINSRCDIR)/lib/physics/libORXphysics.a \
@@ -13,5 +14,5 @@
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
-particles_CPPFLAGS =  -DGUI_MODULE  -DNO_AUDIO \
+particles_CPPFLAGS =  -DGUI_MODULE  \
                       $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 
Index: orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4649)
+++ orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4650)
@@ -68,4 +68,5 @@
 	$(MAINSRCDIR)/lib/event/libORXevent.a \
 	$(MAINSRCDIR)/lib/particles/libORXparticles.a \
+	$(MAINSRCDIR)/lib/sound/libORXsound.a \
 	$(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
 	$(MAINSRCDIR)/lib/physics/libORXphysics.a \
@@ -216,4 +217,5 @@
                   $(MAINSRCDIR)/lib/event/libORXevent.a \
                   $(MAINSRCDIR)/lib/particles/libORXparticles.a \
+                  $(MAINSRCDIR)/lib/sound/libORXsound.a \
                   $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
                   $(MAINSRCDIR)/lib/physics/libORXphysics.a \
@@ -221,5 +223,5 @@
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
-particles_CPPFLAGS = -DGUI_MODULE  -DNO_AUDIO \
+particles_CPPFLAGS = -DGUI_MODULE  \
                       $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 