Index: /orxonox/trunk/src/subprojects/particles/Makefile.am
===================================================================
--- /orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4651)
+++ /orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4652)
@@ -34,4 +34,3 @@
                    $(MAINSRCDIR)/util/loading/load_param.cc \
                    $(MAINSRCDIR)/lib/util/ini_parser.cc
-applnkApplication_DATA = particles.desktop
-applnkApplicationdir = $(kde_appsdir)/Application
+
Index: /orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4651)
+++ /orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4652)
@@ -14,5 +14,4 @@
 
 @SET_MAKE@
-
 
 SOURCES = $(particles_SOURCES)
@@ -49,5 +48,5 @@
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
-am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(applnkApplicationdir)"
+am__installdirs = "$(DESTDIR)$(bindir)"
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
@@ -100,6 +99,4 @@
 SOURCES = $(particles_SOURCES)
 DIST_SOURCES = $(particles_SOURCES)
-applnkApplicationDATA_INSTALL = $(INSTALL_DATA)
-DATA = $(applnkApplication_DATA)
 ETAGS = etags
 CTAGS = ctags
@@ -244,6 +241,4 @@
                    $(MAINSRCDIR)/lib/util/ini_parser.cc
 
-applnkApplication_DATA = particles.desktop
-applnkApplicationdir = $(kde_appsdir)/Application
 all: all-am
 
@@ -618,21 +613,4 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-ini_parser.obj `if test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/ini_parser.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/ini_parser.cc'; fi`
 uninstall-info-am:
-install-applnkApplicationDATA: $(applnkApplication_DATA)
-	@$(NORMAL_INSTALL)
-	test -z "$(applnkApplicationdir)" || $(mkdir_p) "$(DESTDIR)$(applnkApplicationdir)"
-	@list='$(applnkApplication_DATA)'; for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  f="`echo $$p | sed -e 's|^.*/||'`"; \
-	  echo " $(applnkApplicationDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(applnkApplicationdir)/$$f'"; \
-	  $(applnkApplicationDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(applnkApplicationdir)/$$f"; \
-	done
-
-uninstall-applnkApplicationDATA:
-	@$(NORMAL_UNINSTALL)
-	@list='$(applnkApplication_DATA)'; for p in $$list; do \
-	  f="`echo $$p | sed -e 's|^.*/||'`"; \
-	  echo " rm -f '$(DESTDIR)$(applnkApplicationdir)/$$f'"; \
-	  rm -f "$(DESTDIR)$(applnkApplicationdir)/$$f"; \
-	done
 
 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
@@ -713,7 +691,7 @@
 check-am: all-am
 check: check-am
-all-am: Makefile $(PROGRAMS) $(DATA)
+all-am: Makefile $(PROGRAMS)
 installdirs:
-	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(applnkApplicationdir)"; do \
+	for dir in "$(DESTDIR)$(bindir)"; do \
 	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
 	done
@@ -762,5 +740,5 @@
 info-am:
 
-install-data-am: install-applnkApplicationDATA
+install-data-am:
 
 install-exec-am: install-binPROGRAMS
@@ -789,19 +767,16 @@
 ps-am:
 
-uninstall-am: uninstall-applnkApplicationDATA uninstall-binPROGRAMS \
-	uninstall-info-am
+uninstall-am: uninstall-binPROGRAMS uninstall-info-am
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
 	clean-generic ctags distclean distclean-compile \
 	distclean-generic distclean-tags distdir dvi dvi-am html \
-	html-am info info-am install install-am \
-	install-applnkApplicationDATA install-binPROGRAMS install-data \
-	install-data-am install-exec install-exec-am install-info \
-	install-info-am install-man install-strip installcheck \
-	installcheck-am installdirs maintainer-clean \
+	html-am info info-am install install-am install-binPROGRAMS \
+	install-data install-data-am install-exec install-exec-am \
+	install-info install-info-am install-man install-strip \
+	installcheck installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-compile \
 	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
-	uninstall-am uninstall-applnkApplicationDATA \
-	uninstall-binPROGRAMS uninstall-info-am
+	uninstall-am uninstall-binPROGRAMS uninstall-info-am
 
 include $(MAINSRCDIR)/defs/include_paths.am
Index: /orxonox/trunk/src/util/garbage_collector.cc
===================================================================
--- /orxonox/trunk/src/util/garbage_collector.cc	(revision 4651)
+++ /orxonox/trunk/src/util/garbage_collector.cc	(revision 4652)
@@ -121,6 +121,6 @@
           entity->remove();
           /* then finaly delete reference */
-          //delete entity;
-          ObjectManager::getInstance()->addToDeadList(entity->getClassID() & CL_MASK_LOWLEVEL_CLASS, entity);
+          delete entity;
+          //ObjectManager::getInstance()->addToDeadList(entity->getClassID() & CL_MASK_LOWLEVEL_CLASS, entity);
         }
       entity = iterator->nextElement();
Index: /orxonox/trunk/src/world_entities/test_gun.cc
===================================================================
--- /orxonox/trunk/src/world_entities/test_gun.cc	(revision 4651)
+++ /orxonox/trunk/src/world_entities/test_gun.cc	(revision 4652)
@@ -97,5 +97,5 @@
   this->weaponSource->setRolloffFactor(.1);
   Projectile* p = new TestBullet(this);
-  ObjectManager::getInstance()->cache(CL_TEST_BULLET, 100, p);
+//  ObjectManager::getInstance()->cache(CL_TEST_BULLET, 100, p);
   //ObjectManager::getInstance()->debug();
 }
@@ -151,5 +151,5 @@
     }
 
-  Projectile* pj = dynamic_cast<Projectile*>(ObjectManager::getInstance()->getFromDeadList(CL_TEST_BULLET & CL_MASK_LOWLEVEL_CLASS));
+    Projectile* pj =  new TestBullet(this);//dynamic_cast<Projectile*>(ObjectManager::getInstance()->getFromDeadList(CL_TEST_BULLET & CL_MASK_LOWLEVEL_CLASS));
   weaponSource->play();
 