Index: /orxonox/trunk/src/subprojects/importer/Makefile.am
===================================================================
--- /orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 4652)
+++ /orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 4653)
@@ -2,5 +2,5 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-importer_CPPFLAGS = -DNO_AUDIO
+importer_CPPFLAGS =
 
 importer_LDFLAGS = $(MWINDOWS)
@@ -10,4 +10,5 @@
 importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
                  $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+                 $(MAINSRCDIR)/lib/sound/libORXsound.a \
                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
 
Index: /orxonox/trunk/src/subprojects/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4652)
+++ /orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4653)
@@ -63,4 +63,5 @@
 importer_DEPENDENCIES = $(MAINSRCDIR)/lib/event/libORXevent.a \
 	$(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+	$(MAINSRCDIR)/lib/sound/libORXsound.a \
 	$(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
@@ -201,8 +202,9 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../..
-importer_CPPFLAGS = -DNO_AUDIO
+importer_CPPFLAGS = 
 importer_LDFLAGS = $(MWINDOWS)
 importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
                  $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+                 $(MAINSRCDIR)/lib/sound/libORXsound.a \
                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
 
Index: /orxonox/trunk/src/subprojects/importer/importer.cc
===================================================================
--- /orxonox/trunk/src/subprojects/importer/importer.cc	(revision 4652)
+++ /orxonox/trunk/src/subprojects/importer/importer.cc	(revision 4653)
@@ -32,4 +32,11 @@
   ResourceManager::getInstance()->addImageDir("./");
 
+  for (int i = 0; i < argc; i++)
+  {
+    printf("%s\n", argv[i]);
+  }
+  ResourceManager::getInstance()->addImageDir("");
+
+
   if (argc>=3)
     obj = new OBJModel (argv[1], atof(argv[2]));
@@ -38,4 +45,6 @@
   else
     obj = new PrimitiveModel(PRIM_CYLINDER);
+
+  ResourceManager::getInstance()->debug();
 
   LightManager* lightMan = LightManager::getInstance();
Index: /orxonox/trunk/src/util/resource_manager.cc
===================================================================
--- /orxonox/trunk/src/util/resource_manager.cc	(revision 4652)
+++ /orxonox/trunk/src/util/resource_manager.cc	(revision 4653)
@@ -129,5 +129,5 @@
 }
 
-#ifndef NO_TEXTURE
+#ifndef NO_TEXTURES
 /**
    \brief adds a new Path for Images
@@ -223,5 +223,5 @@
    tmpType = IMAGE;
 #endif /* NO_TEXTURES */
-
+#undef __IF_OK
   return this->load(fileName, tmpType, prio, param1, param2, param3);
 }
@@ -459,5 +459,5 @@
 #endif /* NO_TEXTURES */
             default:
-              PRINTF(1)("NOT YET IMPLEMENTED !!FIX FIX!!\n");
+              PRINTF(2)("NOT YET IMPLEMENTED !!FIX FIX!!\n");
               return false;
               break;
@@ -821,6 +821,10 @@
           break;
 #endif
+#ifndef NO_AUDIO
+        case WAV:
+          PRINT(0)("SoundFile\n");
+#endif
         default:
-          PRINT(0)("SoundFile\n");
+          PRINT(0)("Do not know this format\n");
           break;
         }
Index: /orxonox/trunk/src/util/resource_manager.h
===================================================================
--- /orxonox/trunk/src/util/resource_manager.h	(revision 4652)
+++ /orxonox/trunk/src/util/resource_manager.h	(revision 4653)
@@ -34,4 +34,7 @@
   MD2,                  //!< loading md2-file
 #endif /* NO_MODEL */
+#ifndef NO_TEXT
+  TTF,                  //!< loading a TrueTypeFont
+#endif /* NO_TEXT */
 #ifndef NO_AUDIO
   WAV,                  //!< loading wav
@@ -39,7 +42,4 @@
   OGG,                  //!< loading ogg
 #endif /* NO_AUDIO */
-#ifndef NO_TEXT
-  TTF,                  //!< loading a TrueTypeFont
-#endif /* NO_TEXT */
 #ifndef NO_TEXTURES
   IMAGE                 //!< loading an image