Index: /data/trunk/levels/sp_cutscene_intro.oxw
===================================================================
--- /data/trunk/levels/sp_cutscene_intro.oxw	(revision 4654)
+++ /data/trunk/levels/sp_cutscene_intro.oxw	(revision 4655)
@@ -91,5 +91,5 @@
         <NPC>
           <name>pirateOne</name>
-          <model>models/spaceships/pirates_spaceship_fighter.obj,0.1</model>
+          <model>models/spaceships/pirates_spaceship_fighter.obj,0.3</model>
           <abs-dir> 0,0,1,0 </abs-dir>
           <Track>
@@ -111,5 +111,5 @@
           <abs-dir> 0,0,1,0 </abs-dir>
           <Track>
-            <mode>0</mode>
+            <mode>1</mode>
             <speed>11.8</speed>
              <addPoint>80,0,-120</addPoint>
@@ -126,5 +126,5 @@
           <abs-dir> 0,0,1,0 </abs-dir>
           <Track>
-            <mode>0</mode>
+            <mode>1</mode>
             <speed>11.2</speed>
              <addPoint>80,3,-100</addPoint>
@@ -133,5 +133,5 @@
              <addPoint>65,8,-300</addPoint>
           </Track>
-	  <weapon-config>0</weapon-config>
+
         </NPC>
 
@@ -151,4 +151,22 @@
 
          </NPC>
+
+
+         <NPC>
+          <name>bomberFour</name>
+          <model>models/spaceships/human_spaceship_bomber.obj,1.2</model>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>6.4</speed>
+            <addPoint>10,385,-50</addPoint>
+            <addPoint>10,0,-10</addPoint>
+            <addPoint>10,-100,30</addPoint>
+            <addPoint>10,-200,70</addPoint>
+          </Track>
+
+         </NPC>
+
+
 
         <Planet>
Index: /data/trunk/scripts/cutscene/cutscene.lua
===================================================================
--- /data/trunk/scripts/cutscene/cutscene.lua	(revision 4654)
+++ /data/trunk/scripts/cutscene/cutscene.lua	(revision 4655)
@@ -44,8 +44,27 @@
 --triggerThree:setDebugDraw(true)  
 
- 
+
+-- startScenery
+triggerFour = ScriptTrigger()
+triggerFour:setScript("cutscene.lua")
+triggerFour:setFunction("startSceneryOne")
+triggerFour:setAbsCoor(125,0,-245)
+triggerFour:setTarget("CameraOne")
+triggerFour:setRadius(5)
+triggerFour:setDebugDraw(true)  
+
+
 -- Get objects from orxonox
 thisscript:addObject("CameraMan", "cameraManager")
+thisscript:addObject("NPC", "shutleOne")
+thisscript:addObject("NPC", "bomberOne")
+thisscript:addObject("NPC", "fighterOne")
+thisscript:addObject("NPC", "bomberTwo")
+thisscript:addObject("NPC", "fighterTwo")
+thisscript:addObject("NPC", "pirateOne")
+thisscript:addObject("NPC", "pirateTwo")
 thisscript:addObject("NPC", "fighterThree")
+thisscript:addObject("NPC", "bomberThree")
+thisscript:addObject("NPC", "bomberFour")
 thisscript:addObjectAsName("GameWorld", "Cut Scene", "gameWorld")
 thisscript:addObjectAsName("ScrollingScreen", "Credits Scroller","scrollingScreen")
@@ -54,9 +73,10 @@
 -- Global Variables
 time = 0
-stationReached = false
 fadeout = false
 bInit = 0
 bInit2 = 0
-
+sceneryOneStopped = false
+sceneryOneRunning = false
+stationReached = false
 
 -- Switch cam functions
@@ -85,4 +105,63 @@
 
 
+-- Start
+function startSceneryOne(timestep)
+
+--shutleOne:unhide()
+--bomberOne:unhide()
+--fighterOne:unhide()
+--bomberTwo:unhide()
+--fighterTwo:unhide()
+--pirateOne:unhide())
+--pirateTwo:unhide()
+--fighterThree:unhide()
+--bomberThree:unhide()
+
+shutleOne:pause(false)
+bomberOne:pause(false)
+fighterOne:pause(false)
+bomberTwo:pause(false)
+fighterTwo:pause(false)
+pirateOne:pause(false)
+pirateTwo:pause(false)
+fighterThree:pause(false)
+bomberThree:pause(false)
+bomberFour:pause(false)
+
+sceneryOneRunning = true
+time = 0
+
+return true
+
+end
+
+-- Stop
+function stopSceneryOne(timestep)
+
+--shutleOne:hide()
+--bomberOne:hide()
+--fighterOne:hide()
+--bomberTwo:hide()
+--fighterTwo:hide()
+--pirateOne:hide())
+--pirateTwo:hide()
+--fighterThree:hide()
+--bomberThree:hide()
+
+shutleOne:pause(true)
+bomberOne:pause(true)
+fighterOne:pause(true)
+bomberTwo:pause(true)
+fighterTwo:pause(true)
+pirateOne:pause(true)
+pirateTwo:pause(true)
+fighterThree:pause(true)
+bomberThree:pause(true)
+bomberFour:pause(false)
+
+return true
+
+end
+
 
 -- THE tick function
@@ -91,4 +170,7 @@
 time = time + timestep
 
+if not sceneryOneStopped then
+sceneryOneStopped = stopSceneryOne(timestep)
+end
 
 if bInit == 0 then
@@ -105,5 +187,5 @@
 
 
-if time > 3 and time < 4 then
+if time > 8 and time < 8.5 and sceneryOneRunning then
    fighterThree:fire()
 end
@@ -112,6 +194,6 @@
 cameraManager:setCam("CameraOne")
 cameraManager:jumpCurrCam(125,0,-245)
---cameraManager:atachCurrCameraToWorldEntity("NPC", "pirateOne")
-cameraManager:changeCurrTarget("Building", "zhara")
+cameraManager:atachCurrCameraToWorldEntity("NPC", "transporterOne")
+--cameraManager:changeCurrTarget("Building", "zhara")
 cameraSwitched = true
 end
Index: /data/trunk/scripts/spacestation/spaceship_tower.lua
===================================================================
--- /data/trunk/scripts/spacestation/spaceship_tower.lua	(revision 4654)
+++ /data/trunk/scripts/spacestation/spaceship_tower.lua	(revision 4655)
@@ -12,5 +12,5 @@
 triggerOne:setAbsCoor(1177.693, -12.796, 203.514)
 triggerOne:setRadius(50)
-triggerOne:setDebugDraw(true)
+--triggerOne:setDebugDraw(true)
 
 