Index: data/trunk/levels/vertical_scroller.oxw
===================================================================
--- data/trunk/levels/vertical_scroller.oxw	(revision 4655)
+++ data/trunk/levels/vertical_scroller.oxw	(revision 4656)
@@ -151,29 +151,23 @@
       <Size>100</Size>
     </Rotor>
-
-    <NPC>
-      <name>Pirate01</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-<!--      <enableAI>1</enableAI> -->
+<!--
+
+    <NPC>
+      <name>Pirate02</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <enableAI>1</enableAI>
       <team>1</team>
       <swarm>1</swarm>
       <attackDistance>0.5</attackDistance>
       <maxSpeed>500</maxSpeed>
-      <Weapons>
-        <HeavyBlaster>
-	  <slot>0,0</slot>
-	</HeavyBlaster>
-	<HeavyBlaster>
-	  <slot>0,1</slot>
-	</HeavyBlaster>
-      </Weapons>
-      <abs-coor>3500, 0, -20</abs-coor>
-      <abs-dir>3.14 , 0,1,0</abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate02</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-<!--      <enableAI>1</enableAI> -->
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>3500, 0, 0</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate03</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <enableAI>1</enableAI>
       <team>1</team>
       <swarm>1</swarm>
@@ -181,20 +175,78 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>3500, 0, 0</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate03</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-<!--      <enableAI>1</enableAI>  -->
+      <abs-coor>3450, 0, -10</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate04</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <enableAI>1</enableAI>
       <team>1</team>
-      <swarm>1</swarm>
-      <attackDistance>0.5</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
+      <swarm>2</swarm>
+      <attackDistance>0.5</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>5000, 0, -10</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate05</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <enableAI>1</enableAI>
+      <team>1</team>
+      <swarm>2</swarm>
+      <attackDistance>0.5</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>5000, 0, 10</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+-->
+
+    <NPC>
+      <name>Pirate05</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <enableAI>1</enableAI>
+      <team>2</team>
+      <swarm>2</swarm>
+      <attackDistance>0.5</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>5000, 0, 10</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate06</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <enableAI>1</enableAI>
+      <team>2</team>
+      <swarm>2</swarm>
+      <attackDistance>0.5</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>5010, 0, 0</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Ragnar01</name>
+      <model>models/spaceships/pirates_spaceship_ragnar.obj,6</model>
       <abs-coor>3450, 0, -10</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
+      <Track>
+        <mode>0</mode>
+        <speed>55</speed>
+        <addPoint>3600,-100,200</addPoint>
+        <addPoint>3700,-100,100</addPoint>
+        <addPoint>3800,-100,50</addPoint>
+        <addPoint>3900,-100,0</addPoint>
+        <addPoint>4000,-50,-30</addPoint>
+        <addPoint>4200,-30,-50</addPoint>
+        <addPoint>4500,0,-200</addPoint>
+      </Track>
+    </NPC>
+
 
     <SpaceShip>